#include "mainwindow.h"

#include <QApplication>

extern const char * version;

int main(int argc, char *argv[])
{
	QApplication a(argc, argv);
	
	// if there are command line arguments...
	if (a.arguments().count() > 1) {  // more than just the executable name, see if -h specified

		// check for -a (adapter) switch
		if (a.arguments().contains("-h")) {
			printf("strength version %s\n", version);
			printf("Usage:  strength [-c chip_name] [-a adapter] [-s] [channels.conf filename]\n");
			printf("  -s MUST follow -a and/or -c\n");
			printf("  If no channels.conf file is specified, the last file used without -s will be loaded\n");
			exit(0);
		}
	}
		
	MainWindow w;
	w.show();
	return a.exec();
}
