#ifndef MISC_H
#define MISC_H

#include "misc.h"
#include <QCoreApplication>
#include <QMessageBox>
#include <stdlib.h>
#include <sys/timeb.h>
#include <unistd.h>

// seconds since 1970 with mS resolution
double double_prec_time()
{
	static struct timeb now;
	ftime(&now);
	return (double) now.time + ((double) now.millitm / 1e3);
}

void MySleep(double millisecs)
{
double endtime = double_prec_time() + (millisecs / 1e3);

do {
		QCoreApplication::processEvents();
		usleep(1000);
	} while (double_prec_time() <= endtime);
}

char * QS_to_char(QString s)
{
	static char strbuf[1024];

	memset(strbuf, 0, 1024);

	for (int i = 0; (i < s.length()) && (i < 1023); i++)
		strbuf[i] = s[i].toLatin1();

	return (char *) strbuf;
}

int MessageBox(const char* msgbuf, const char* title)
{
	QMessageBox msgBox;
	msgBox.setText(QString(title));
	msgBox.setInformativeText(QString(msgbuf));
	msgBox.setStandardButtons(QMessageBox::Ok); // | QMessageBox::Discard | QMessageBox::Cancel);
	//msgBox.setDefaultButton(QMessageBox::Save);
	return msgBox.exec();
}

#endif // MISC_H

