#include "settingsdialog.h"
#include "ui_settingsdialog.h"

extern int update_ms;
extern int numAdapters;
extern int monitorSeconds;

settingsDialog::settingsDialog(QWidget *parent, QString logFileName, QString watchCmd) :
QDialog(parent),
ui(new Ui::settingsDialog)
{
	ui->setupUi(this);

	ui->update_ms_Edit->setText(QString::number(update_ms));
	ui->numAdaptersEdit->setText(QString::number(numAdapters));
	ui->monitorSecondsEdit->setText(QString::number(monitorSeconds));
	ui->logFnameEdit->setText(logFileName);
	ui->watch_cmdEdit->setText(watchCmd);
}

settingsDialog::~settingsDialog()
{
	delete ui;
}

void settingsDialog::on_saveButton_clicked()
{
	on_applyButton_clicked();
	sendSetting("number_of_adapters", ui->numAdaptersEdit->text(), true);
	sendSetting("update_ms", ui->update_ms_Edit->text(), true);
	sendSetting("monitor_seconds", ui->monitorSecondsEdit->text(), true);
	sendSetting("log_filename", ui->logFnameEdit->text(), true);
	sendSetting("watch_command", ui->watch_cmdEdit->text(), true);
	emit sendInfo("Settings saved");
}

void settingsDialog::on_applyButton_clicked()
{
	update_ms = ui->update_ms_Edit->text().toInt();
	numAdapters = ui->numAdaptersEdit->text().toInt();
	monitorSeconds = ui->monitorSecondsEdit->text().toInt();
	sendSetting("log_filename", ui->logFnameEdit->text(), false);
	sendSetting("watch_command", ui->watch_cmdEdit->text(), false);
	emit sendInfo("Settings applied");
}

void settingsDialog::on_closeButton_clicked()
{
	emit sendInfo("Closing settings window");
	close();
}
